# JMZPTMacros Product  a collection of ZPT Macros for the management views
#
# by Josef Meile <jmeile@hotmail.com>
#
# This software is governed by a license. See
# LICENSE.txt for the terms of this license.

#Documenting string
__doc__="""JMZPTMacros class."""
#Release number
__version__='$Revision: 0.3 $'[11:-2]

#Provides a callable object wrapped around a ZPT
from Products.PageTemplates.PageTemplateFile import PageTemplateFile

#Allows you to define the security permissions of your
#class methods
from AccessControl import ClassSecurityInfo

#Setups security declarations
import Globals

class JMZPTMacros:
  #All the ZPT Objects will be loaded as attributes of my
  #JMZPTMacros class

  security=ClassSecurityInfo()
  security.declarePublic()

  #Loads my generic manage_add form macros
  security.declarePublic('generic_add')
  generic_add=PageTemplateFile('zpt/generic_add',globals())
  generic_add._owner=None

  #Loads my generic manage_edit form macros
  security.declarePublic('generic_edit')
  generic_edit=PageTemplateFile('zpt/generic_edit',globals())
  generic_edit._owner=None

  #Loads my generic manage_view form macros
  security.declarePublic('generic_view')
  generic_view=PageTemplateFile('zpt/generic_view',globals())
  generic_view._owner=None

  #Loads my generic macros
  security.declarePublic('generic')
  generic=PageTemplateFile('zpt/generic',globals())
  generic._owner=None

Globals.InitializeClass(JMZPTMacros)
